Subject: Re: cygwin and mkpasswd unable to recognize a domain user
From: "Pierre A. Humblet" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 12 Jan 2005 10:06:46 -0500

On Wed, Jan 12, 2005 at 06:53:25AM -0700, Steinman, Jethro F (PA62) wrote:
> Greetings,
> 
> I just installed cygwin and I'm having some problems using it. I have it
> installed on a WINXP 2002 SP1 laptop. I'm using a domain log-in. I ran
> "cycgcheck -s" to record information on the nature of my set up. The output
> is attached at the bottom of this message. 
> 
> The problem I'm having is that when I start bash I get the following
> message.
> 
> "Your group is currently "mkpasswd". This indicates that 
> the /etc/passwd (and possibly /etc/group) files should be rebuilt.
> See the man pages for mkpasswd and mkgroup then, for example, run
> mkpasswd -l [-d] > /etc/passwd
> mkgroup  -l [-d] > /etc/group
> Note that the -d switch is necessary for domain users."
> 
> A related symptom is that doing "pwd" shows my home directory to be as
> follows
> 
> /cygdrive/c/Documents and Settings/<my user name>

That's because either HOME is set in Windows to that path,
or (yes, related problem), Cygwin defaults to using your 
HOMEDRIVE/HOMEPATH
  
> When I do what the error message instructs (run mkpasswd and mkgroup) the
> problem is not corrected. But if I log out and log back in, not as a domain
> user but with my local administrator account, then the problem goes away.
> Also, the starting directory is then where I expect it to be under
> C:/cygwin/home.
> 
> Looking at the output from "mkpasswd -l -d" I see that my domain user name
> does not appear, despite the fact that the computer and the domain recognize
> my user id. just fine and are happy to let me do whatever I want. It almost
> seems as though my log-in domain is set up in such a fashion that mkpasswd
> can not recognize a class of users of which I am a member.  Everything else
> probably stems from that.
> 
> It seems quite possible that there are things about our domain set up which
> cygwin and mkpasswd can't understand.  I know that my user id. is registered
> in a global corporate domain. More than that I can't explain as I lack the
> requisite education.

Normally the last line produced by "mkpasswd -l -c"
should give you a working password entry.
Does it? If not, send us your environment, i.e. the output of
"set" in cmd.exe

> I searched the archive and found the following 2 threads which discuss
> similar problems but do not point directly to a solution. 
> 
> http://sources.redhat.com/ml/cygwin/2004-09/msg00338.html
> http://sources.redhat.com/ml/cygwin/2004-08/msg00089.html
> 
> Am I doing something wrong?
> Does this seem like a cygwin bug?
> Can anyone recommend a work-around?

There is an off chance that 'mkpasswd -u yourself -d thedomain'
might work, where thedomain is the global corporate domain.

Pierre

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/